
#import <Foundation/Foundation.h>
@interface LabelPrinterObject : NSObject
{
    NSInteger           _dpi;
    NSInteger           _maxWidth;
}

- (instancetype) initWithDpi:(NSInteger)dpi maxWidth:(NSInteger)maxWidth;

-(void) setPrinter:(LabelPrinterObject*)printer;
-(void) setModelName:(NSString*)modelName;
-(void) setBluetoothDeviceName:(NSString*)bluetoothDeviceName;
-(void) setFirmwareVersion:(NSString*)firmwareVersion;
-(void) setAddress:(NSString*)address;
-(void) setPort:(NSString*)port;
-(void) setMacAddress:(NSString*)macAddress;
-(void) setSerialNumber:(NSString*)serialNumber;
-(void) setInterfaceType:(NSInteger)interfaceType;

-(NSString*) getModelName;
-(NSString*) getBluetoothDeviceName;
-(NSString*) getFirmwareVersion;
-(NSString*) getAddress;
-(NSString*) getPort;
-(NSString*) getMacAddress;
-(NSString*) getSerialNumber;
-(NSInteger) getInterfaceType;
-(NSInteger) getDpi;
-(NSInteger) getMaxWidth;

@end
