
import UIKit

class SetCutterPositionViewController: BaseViewController {
    
    let printer = SharedLabelPrinterSDK.sdk
    
    @IBOutlet weak var tfCuttingPosition:UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    @IBAction func acceptSetting(_ sender:UIButton) {
        
        let pos = Int(tfCuttingPosition.text ?? "0") ?? 0
        
        let result = printer.setCuttingPosition(pos)
        
        guard result == .SUCCESS else {
            presentTextAlert(msg: "Fail")
            return
        }
    }
}
