
import UIKit

class SetDensityViewController: BaseViewController {
    
    let printer = SharedLabelPrinterSDK.sdk
    
    @IBOutlet weak var tfDensity:UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    @IBAction func acceptSetting(_ sender:UIButton) {
        
        let density = Int(tfDensity.text ?? "0") ?? 0
        
        let result = printer.setDensity(density)
        
        guard result == .SUCCESS else {
            presentTextAlert(msg: "Fail")
            return
        }
    }

}
