
import UIKit

class SetOffsetViewController: BaseViewController {
    
    let printer = SharedLabelPrinterSDK.sdk
    
    @IBOutlet weak var tfOffset:UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    @IBAction func acceptSetting(_ sender:UIButton) {
        
        let offset = Int(tfOffset.text ?? "0") ?? 0
        
        let result = printer.setOffset(offset)
        
        guard result == .SUCCESS else {
            presentTextAlert(msg: "Fail")
            return
        }
    }
}
