
import UIKit

class SetWidthViewController: BaseViewController {
    
    let printer = SharedLabelPrinterSDK.sdk
    
    @IBOutlet weak var tfWidth:UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    @IBAction func acceptSetting(_ sender:UIButton) {
        
        let width = Int(tfWidth.text ?? "0") ?? 0
        
        let result = printer.setWidth(width)
        
        guard result == .SUCCESS else {
            presentTextAlert(msg: "Fail")
            return
        }
    }
}
