
#import "SetCutterPositionViewController.h"

@interface SetCutterPositionViewController () {
    LabelPrinterSDK *printer;
}

@end

@implementation SetCutterPositionViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    printer = SharedLabelPrinterSDK.sharedInstance;
}

- (IBAction)acceptSetting:(UIButton *)sender {
    
    NSInteger pos = _tfCuttingPosition.text.integerValue;
    
    SDK_RESULT_CODES result = [printer setCuttingPosition:pos];
    
    if (result != SDK_RESULT_SUCCESS) {
        [self presentTextAlertWithTitle:nil msg:@"Fail"];
        return;
    }
}

@end
