
#import "SetWidthViewController.h"

@interface SetWidthViewController () {
    LabelPrinterSDK *printer;
}

@end

@implementation SetWidthViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    printer = SharedLabelPrinterSDK.sharedInstance;
}

- (IBAction)acceptSetting:(UIButton *)sender {
    
    NSInteger width = _tfWidth.text.integerValue;
    
    SDK_RESULT_CODES result = [printer setWidth:width];
    
    if (result != SDK_RESULT_SUCCESS) {
        [self presentTextAlertWithTitle:nil msg:@"Fail"];
        return;
    }
}

@end
