
import UIKit

class SetMarginViewController: BaseViewController {

    let printer = SharedLabelPrinterSDK.sdk
    
    @IBOutlet weak var tfHorizontal:UITextField!
    @IBOutlet weak var tfVertical:UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

    }
    
    @IBAction func acceptSetting(_ sender:UIButton) {
        
        let h = Int(tfHorizontal.text ?? "0") ?? 0
        let v = Int(tfVertical.text ?? "0") ?? 0
        
        let result = printer.setMargin(h,
                          verticalMargin: v)
        
        guard result == .SUCCESS else {
            presentTextAlert(msg: "Fail")
            return
        }
    }

}
